package ru.yandex.webmaster3.storage.clickhouse.dao;

import java.util.List;

import ru.yandex.webmaster3.storage.clickhouse.ClickhouseTableInfo;
import ru.yandex.webmaster3.storage.clickhouse.TableType;

/**
 * Created by Oleg Bazdyrev on 11/02/2021.
 */
public interface ClickhouseTablesRepository {

    List<ClickhouseTableInfo> listTables();

    List<ClickhouseTableInfo> listTables(TableType tableType);

    void update(ClickhouseTableInfo tableInfo);

    void delete(ClickhouseTableInfo tableInfo);

}
